//Escribir un programa para calcular la función factorial.

#include <iostream>
#include <cmath>
#include<fstream>

using namespace std;

int main()
{
  ofstream fout("resultados5.dat");
  int num;
  int fact=1;
  int i;
  cout<<"Programa que calcula el factorial de un numero"<<endl;
  cout<<"Introduce un numero para poder calcular su factorial: "<<endl;
  cin>>num;
  for (i=1; i<=num; i++)
    {
      fact=fact*i;
    }
  cout<<" El factorial del numero "<<num<<" vale "<<fact<<endl;
  fout.close();
  return 0;
}
